| Class JoinConfig Specifies the strategy and all necessary parameters used to journal a sequence to a reference sequence.
JoinConfig
GlobalAlign | GlobalChain
JoinConfig<TMethod> Include Headers seqan/journal_set.h Parameters
TMethod | The method type. Types: GlobalAlign, GlobalChain
Remarks SeqAn offers two general methods to compute the journal. The first one uses a globalAlignment function and the second one uses an anchor based approach. Specializations
GlobalAlign | Selects a global alignment method to join a Journaled String to a global reference sequence.
GlobalChain | Selects an anchor based method to join a Journaled String to a global reference sequence.
Functions
join | Joins a Journaled String to a Journaled Set by computing and journaling differences to the global reference sequence.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56